---
- hosts: boomhut
  gather_facts: false
  become: true
  roles:
    - 'any.common.python'
    - 'any.common.debian-user'
  tags: first

- hosts: boomhut
  become: true
  roles:
    # - 'any.common.debian-repositories'
    - 'any.tools.default'
    - 'any.tools.restic'
    # First change SSH settings before enabling firewall
    - 'any.common.ssh'
    - 'any.tools.ufw'
  tags: base

- hosts: boomhut
  become: true
  roles:
    - 'any.software.papermc-podman'
  tags: papermc

- hosts: boomhut
  become: true
  roles:
    - role: 'any.software.otel-collector'
      vars:
        otel_metrics_endpoint: 'http://10.0.0.1:4000/v1/otlp'
        otel_logs_endpoint: 'http://10.0.0.1:4000/v1/otlp'
        otel_traces_endpoint: 'http://10.0.0.1:4000/v1/otlp'
  tags: otel
